package com.ai.da.common.annotation;

import com.ai.da.common.enums.ConditionType;

import java.lang.annotation.*;

/**
 * @author: dangweijian
 * @description: 条件注解
 * @create: 2020-01-15 17:24
 **/
@Documented
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Condition {
    ConditionType type() default ConditionType.EQ;

    boolean isNull() default false;
}
